summaryrefslogtreecommitdiffstats
path: root/source/d/clisp
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-04-26 03:34:28 +0000
committer Eric Hameleers <alien@slackware.com>2020-04-26 08:59:53 +0200
commite6a0a756a3947c4809450fd87c65d883efd3077f (patch)
treeecd483d4b74dc84a7b73a2974f53ed80ee23dee3 /source/d/clisp
parentfc0b7eb5cb49c356c545c934504f9e6b6fe37bc6 (diff)
downloadcurrent-e6a0a756a3947c4809450fd87c65d883efd3077f.tar.gz
current-e6a0a756a3947c4809450fd87c65d883efd3077f.tar.xz
Sun Apr 26 03:34:28 UTC 202020200426033428
d/rust-1.43.0-x86_64-2.txz: Rebuilt. Patched and recompiled with the system LLVM 10 instead of the bundled LLVM 9.
Diffstat (limited to 'source/d/clisp')
-rwxr-xr-xsource/d/clisp/clisp.SlackBuild11
-rw-r--r--source/d/clisp/clisp.link.libgnu.whole-archive.diff12
2 files changed, 19 insertions, 4 deletions
diff --git a/source/d/clisp/clisp.SlackBuild b/source/d/clisp/clisp.SlackBuild
index cc9440619..c958fddb7 100755
--- a/source/d/clisp/clisp.SlackBuild
+++ b/source/d/clisp/clisp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2015, 2017, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,10 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=clisp
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Bundled libraries:
-FFCALLVER=2.1
+FFCALLVER=2.2
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -124,7 +124,10 @@ find . \
-exec chmod 644 {} \+
# Fix build failure with missing struct member:
-zcat $CWD/clisp.c_data.compact_empty_buckets.diff.gz | patch -p1 --verbose || exit
+zcat $CWD/clisp.c_data.compact_empty_buckets.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix modules that need access to symbols in libgnu.a:
+zcat $CWD/clisp.link.libgnu.whole-archive.diff.gz | patch -p1 --verbose || exit 1
# I'll be unsafe if I want to:
export FORCE_UNSAFE_CONFIGURE=1
diff --git a/source/d/clisp/clisp.link.libgnu.whole-archive.diff b/source/d/clisp/clisp.link.libgnu.whole-archive.diff
new file mode 100644
index 000000000..9f47080fe
--- /dev/null
+++ b/source/d/clisp/clisp.link.libgnu.whole-archive.diff
@@ -0,0 +1,12 @@
+diff -u -r --new-file clisp-2.50_20191103_c26de7873.orig/src/makemake.in clisp-2.50_20191103_c26de7873/src/makemake.in
+--- clisp-2.50_20191103_c26de7873.orig/src/makemake.in 2019-12-30 13:50:09.000000000 -0600
++++ clisp-2.50_20191103_c26de7873/src/makemake.in 2020-04-24 22:40:43.272361884 -0500
+@@ -1995,7 +1995,7 @@
+
+ GLLIB_A=libgnu.a
+ # libgnu.a must come _before_ -lws2_32 -lintl &c
+-LIBS="${GLLIB_A} ${LIBS} ${LIBSOCKET}"
++LIBS="-Wl,--whole-archive ${GLLIB_A} -Wl,--no-whole-archive ${LIBS} -ldl ${LIBSOCKET}"
+ FILES="${GLLIB_A} "${FILES}
+
+ FILES='lisp.a '$FILES